## org.codehaus.groovy.grails.orm.hibernate.exceptions
Class GrailsHibernateConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.orm.hibernate.exceptions.GrailsHibernateException
                          org.codehaus.groovy.grails.orm.hibernate.exceptions.GrailsHibernateConfigurationException

All Implemented Interfaces:
  Serializable

    public class GrailsHibernateConfigurationException

extends GrailsHibernateException

An exception thrown when configuration Hibernate for GORM features

Since:
  1.1
Author:
  Graeme Rocher
See Also:
  Serialized Form

Constructor Summary
`GrailsHibernateConfigurationException()`
`GrailsHibernateConfigurationException(String arg0)`
`GrailsHibernateConfigurationException(String arg0, Throwable arg1)`
`GrailsHibernateConfigurationException(Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrailsHibernateConfigurationException

    public GrailsHibernateConfigurationException()

### GrailsHibernateConfigurationException

    public GrailsHibernateConfigurationException(String arg0)

### GrailsHibernateConfigurationException

    public GrailsHibernateConfigurationException(String arg0,
                                                 Throwable arg1)

### GrailsHibernateConfigurationException

    public GrailsHibernateConfigurationException(Throwable arg0)

Copyright (c) 2005-2009 The Grails project